%define	major		2
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Summary:	An open-source audio processing library
Name:		soundtouch
Version:	2.3.3
Release:	%mkrel 1
Group:		System/Libraries
License:	LGPLv2+
URL:		https://www.surina.net/soundtouch/
Source0:	https://codeberg.org/soundtouch/soundtouch/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:	cmake

%description
SoundTouch is an open-source audio processing library. It allows changing the
sound tempo, pitch and playback rate parameters independently from each other.

%package -n	%{libname}
Summary:	An open-source audio processing library
Group:          System/Libraries

%description -n	%{libname}
SoundTouch is an open-source audio processing library. It allows changing the
sound tempo, pitch and playback rate parameters independently from each other.

This package contains the shared libraries for SoundTouch.

%package -n	%{develname}
Summary:	Development package with static libs and headers
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Static libraries and header files required for compiling SoundTouch plugins.

%prep
%autosetup -p1 -n %{name}

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%doc README.html
%license COPYING.TXT
%{_bindir}/soundstretch

%files -n %{libname}
%license COPYING.TXT
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%dir %{_includedir}/soundtouch
%{_includedir}/soundtouch/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/soundtouch*.pc
%{_libdir}/cmake/SoundTouch/


%changelog
* Thu Jun 27 2024 daviddavid <daviddavid> 2.3.3-1.mga10
+ Revision: 2077408
- new version: 2.3.3

* Sun Apr 23 2023 daviddavid <daviddavid> 2.3.1-3.mga9
+ Revision: 1954551
- rebuild to fix libdir path in pkgconfig file

* Thu Mar 17 2022 umeabot <umeabot> 2.3.1-2.mga9
+ Revision: 1796460
- Mageia 9 Mass Rebuild

* Sun Sep 26 2021 luigiwalser <luigiwalser> 2.3.1-1.mga9
+ Revision: 1746587
- only enable SSE on ix86
- enable SSE to try to fix build
- 2.3.1
- library major is now 2
- remove no longer needed patches
- build with cmake

* Wed Dec 02 2020 luigiwalser <luigiwalser> 2.2-1.mga8
+ Revision: 1651790
- 2.2
- stop configure script from overriding our CXXFLAGS

* Fri Feb 14 2020 umeabot <umeabot> 2.1.2-2.mga8
+ Revision: 1521695
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Dec 29 2018 luigiwalser <luigiwalser> 2.1.2-1.mga7
+ Revision: 1346484
- 2.1.2

* Thu Nov 15 2018 mrambo3501 <mrambo3501> 2.1.1-1.mga7
+ Revision: 1330029
- version 2.1.1 fixes CVE-2018-1709[6-8] (mga#23823)

* Sat Oct 06 2018 daviddavid <daviddavid> 2.1.0-1.mga7
+ Revision: 1318119
- new version: 2.1.0
- remove merged upstream patches
- remove unwanted .la files

* Wed Sep 19 2018 mrambo3501 <mrambo3501> 2.0.0-3.mga7
+ Revision: 1275722
- add rediffed upstream patch which fixes cve-2018-1404[45] (mga#23500)
- add rediffed upstream patch which fixes cve-2018-1000223

* Tue Jul 31 2018 mrambo3501 <mrambo3501> 2.0.0-2.mga7
+ Revision: 1246332
- add fedora patch which fixes cve-2017-92[58-60] (mga#23323)

* Mon Apr 23 2018 kekepower <kekepower> 2.0.0-1.mga7
+ Revision: 1221693
- Update to version 2.0.0

* Fri Feb 12 2016 umeabot <umeabot> 1.9.2-2.mga6
+ Revision: 958904
- Mageia 6 Mass Rebuild

* Sat Jan 02 2016 luigiwalser <luigiwalser> 1.9.2-1.mga6
+ Revision: 918464
- 1.9.2
- rediff patch 1
- library major is now 1

* Wed Oct 15 2014 umeabot <umeabot> 1.8.0-3.mga5
+ Revision: 748542
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.8.0-2.mga5
+ Revision: 689256
- Mageia 5 Mass Rebuild

* Tue Jun 24 2014 luigiwalser <luigiwalser> 1.8.0-1.mga5
+ Revision: 639131
- 1.8.0
- rediff automake 1.13 patch

* Sat Oct 19 2013 umeabot <umeabot> 1.7.1-2.mga4
+ Revision: 523739
- Mageia 4 Mass Rebuild

* Fri May 24 2013 luigiwalser <luigiwalser> 1.7.1-1.mga4
+ Revision: 426715
- 1.7.1

* Mon Jan 14 2013 umeabot <umeabot> 1.7.0-3.mga3
+ Revision: 382383
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 luigiwalser <luigiwalser> 1.7.0-2.mga3
+ Revision: 340772
- fix for automake 1.13

* Sat Sep 08 2012 luigiwalser <luigiwalser> 1.7.0-1.mga3
+ Revision: 289849
- fix dos2unix usage
- 1.7.0

* Mon Oct 03 2011 fwang <fwang> 1.6.0-1.mga2
+ Revision: 151137
- new version 1.6.0

* Fri Sep 09 2011 tv <tv> 1.5.0-1.mga2
+ Revision: 141815
- new release

* Sun Feb 06 2011 ahmad <ahmad> 1.4.0-4.mga1
+ Revision: 47652
- drop old/unneeded scriptlets
- imported package soundtouch


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1.4.0-3mdv2011.0
+ Revision: 607551
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.4.0-2mdv2010.1
+ Revision: 521162
- rebuilt for 2010.1

  + Emmanuel Andry <eandry@mandriva.org>
    - check major

* Mon Jun 08 2009 Jérôme Brenier <incubusss@mandriva.org> 1.4.0-1mdv2010.0
+ Revision: 384101
- update to new version 1.4.0
- drop gcc43 and linkage patches (no more needed)
- add a patch to fix build on x86_64 (from fedora, rediffed)
- fix license

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 1.3.1-5mdv2009.0
+ Revision: 265739
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri May 23 2008 Oden Eriksson <oeriksson@mandriva.com> 1.3.1-4mdv2009.0
+ Revision: 210368
- fix build
- added a gcc43 patch from fedora

* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 1.3.1-3mdv2008.1
+ Revision: 179515
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Aug 03 2007 Oden Eriksson <oeriksson@mandriva.com> 1.3.1-2mdv2008.0
+ Revision: 58523
- bump release
- drop P0, it will be fixed elsewhere

* Wed Aug 01 2007 Oden Eriksson <oeriksson@mandriva.com> 1.3.1-1mdv2008.0
+ Revision: 57606
- Import soundtouch



* Wed Aug 01 2007 Oden Eriksson <oeriksson@mandriva.com> 1.3.1-1mdv2008.0
- renamed from SoundTouch to soundtouch and obey current specs

* Wed Aug 02 2006 Oden Eriksson <oeriksson@mandriva.com> 1.3.1-2mdv2007.0
- 1.3.1 (not rc4)

* Thu Jun 22 2006 Erwan Velu <erwan@seanodes.com> 1.3.1-1
- 1.3.1

* Sun Mar 05 2006 Oden Eriksson <oeriksson@mandriva.com> 1.3.1-0.rc4.1mdk
- 1.3.1rc4
- rediffed the asterisk patch (now P0)

* Fri Mar 03 2006 Oden Eriksson <oeriksson@mandriva.com> 1.3.1-0.rc3.1mdk
- 1.3.1rc3
- added P1 so that we can integrate voicechanger into asterisk
- enable shared libs

* Fri Jul 15 2005 Stew Benedict <sbenedict@mandriva.com> 1.3.0-1mdk
- 1.3.0, update p0

* Fri Nov 12 2004 Erwan Velu <erwan@seanodes.com> 1.2.1-1mdk
- Frist Release 
